Subject: RE: [PATCH] powerpc: Fix assmption of end_of_DRAM() returns end address

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 06 Jun 2012 15:30:17 +1000

On Wed, 2012-06-06 at 00:46 +0000, Bhushan Bharat-R65777 wrote:

> > >> memblock_end_of_DRAM() returns end_address + 1, not end address.
> > >> While some code assumes that it returns end address.
> > >
> > > Shouldn't we instead fix it the other way around ? IE, make
> > > memblock_end_of_DRAM() does what the name implies, which is to
> return
> > > the last byte of DRAM, and fix the -other- callers not to make bad
> > > assumptions ?
> > 
> > That was my impression too when I saw this patch.
> 
> Initially I also intended to do so. I initiated a email on linux-mm@
> subject "memblock_end_of_DRAM()  return end address + 1" and the only
> response I received from Andrea was:
> 
> "
> It's normal that "end" means "first byte offset out of the range". End
> = not ok.
> end = start+size.
> This is true for vm_end too. So it's better to keep it that way.
> My suggestion is to just fix point 1 below and audit the rest :)
> "

Oh well, I don't care enough to fight this battle in my current state so
unless Dave has more stamina than I have today, I'm ok with the patch.

Cheers,
Ben.